Bug 53816 - Can't locate module avma1_cs.o
Can't locate module avma1_cs.o
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-09-19 11:38 EDT by Juergen Halstenberg
Modified: 2015-01-04 17:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-25 03:12:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
sourcefile (16.19 KB, text/plain)
2001-09-20 06:18 EDT, Arjan van de Ven
no flags Details
Makefile for building the .o file (1.21 KB, text/plain)
2001-09-20 06:19 EDT, Arjan van de Ven
no flags Details

  None (edit)
Description Juergen Halstenberg 2001-09-19 11:38:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
Obviously the module is missing. If I insert my Fritz! pcmcia ISDN card 
the message "can't locate module avma1_cs.o" appears in /var/log/messages. 
I use RedHat 7.1 and kernel 2.4.2-2. 

Also kernel complains about HiSax: Approval certification failed because 
of unauthorized source code changes.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Just take the appropriate pcmcia card.

Additional info:
Comment 1 Arjan van de Ven 2001-09-20 06:18:11 EDT
I'm going to attach 2 files to this bug, a source file and a Makefile.
put them in the same directory somewhere, make sure you have the kernel-source
RPM installed ("rpm -qa | grep kernel-source" will tell you),
and type "make"

that will generate the missing file
Comment 2 Arjan van de Ven 2001-09-20 06:18:45 EDT
Created attachment 32182 [details]
Comment 3 Arjan van de Ven 2001-09-20 06:19:14 EDT
Created attachment 32183 [details]
Makefile for building the .o file
Comment 4 Juergen Halstenberg 2001-09-21 08:08:01 EDT
Thanks, I created the avma1_cs.o module and it was loaded. But unfortunately 
two error messages in /var/log/messages still exist when I insert the PCMCIA 
kernel: HiSax: Approval certification failed because of unauthorized source 
code change
But the driver seems to be loaded.
cardmgr[613]:  get dev info on socket 0 failed: Resource temporarily 

Comment 5 Arjan van de Ven 2001-09-21 08:16:43 EDT
1) is harmless; the hisax code has a md5sum of the code (and all it's headers)
of the time it was approved by a telco for use; however if ANY header file
changes (eg for example for adding a new card or fixing a typo in a comment),
this md5sum doesn't match.

2) if the card works, it's no problem; if it doesn't it is.
 (sounds lame, but the kernel will retry other things when this condition hits,
  if those work, no problem).

Note You need to log in before you can comment on or make changes to this bug.